Dinstall
{
   // Both need to be defined at the moment, but they can point to the
   // same file. 
   GPGKeyring "/var/www/matrixbase/keyrings/keyring.gpg";
   PGPKeyring "/var/www/matrixbase/keyrings/keyring.gpg";
   // To sign the release files. Adjust the keyid!
   // Note: Key must be without a passphrase or it wont work automagically!
   SigningKeyring "/var/www/matrixbase/s3kr1t/dot-gnupg/secring.gpg";
   SigningPubKeyring "/var/www/matrixbase/s3kr1t/dot-gnupg/pubring.gpg";
   SigningKeyIds "CHANGETHISONEFORziyi";
   SendmailCommand "/usr/sbin/sendmail -odq -oi -t";
   MyEmailAddress "faihost.matrix.msu.edu archive Installer <installer@faihost.matrix.msu.edu>";
   MyAdminAddress "ftpmaster@faihost.matrix.msu.edu";
   MyHost "faihost.matrix.msu.edu";  // used for generating user@my_host addresses in e.g. manual_reject()
   MyDistribution "faihost.matrix.msu.edu archive"; // Used in emails
   // Alicia and melanie can use it
   BugServer "bugs.faihost.matrix.msu.edu";
   // melanie uses the packages server.
   PackagesServer "packages.faihost.matrix.msu.edu";
   // If defined then the package@this.server gets a copy of most of the
   // actions related to the package. For an example look at
   // packages.qa.debian.org  
   // TrackingServer "packages.qa.faihost.matrix.msu.edu";
   LockFile "/var/www/matrixbase/katie/lock";
   // If defined this address gets a bcc of all mails.
   // Bcc "archive@faihost.matrix.msu.edu";
   // GroupOverrideFilename "override.group-maint";
   FutureTimeTravelGrace 28800; // 8 hours
   PastCutoffYear "1984";
   SkipTime 300;
   // If defined then mails to close bugs are sent to the bugserver.
   CloseBugs "false";
   OverrideDisparityCheck "true";
   DefaultSuite "unstable";
   Reject
   {
     NoSourceOnly "true";
   };
   // If set, only send mails to addresses listed there.
   MailWhiteList "/var/www/matrixbase/katie/mail-whitelist";
};

Alicia
{
   MyEmailAddress "faihost.matrix.msu.edu archive FTP Masters <ftpmaster@faihost.matrix.msu.edu>";
};

Jennifer{
   // If you want Jennifer to run Helena for a NEW overview in HTML
   // format set this value to a path. If not - uncomment.
   HelenaPath "/var/www/matrixbase/ftp/new.html";
};

Uma
{
// Should we sent a mail to newly added users?
  SendEmail "true";

// Should we create an account so they can login?
// Account will be created with the defaults from adduser, so adjust
// it's configuration to fit your needs.
// NOTE: This requires that your dak user has a sudo entry, allowing
// to run /usr/sbin/useradd!
  CreateAccount "true";

// Note: This is a comma separated list of additional groupnames to
// which uma should add the user. NO spaces between the groupnames or
// useradd will die.
// Disable it if you dont want or need that feature.
  GID "debuser";

};

Julia
{
  // The Primary GID of your users. Using uma it is the gid from group users.
  ValidGID "800";
  // Comma separated list of users who are in Postgres but not the passwd file
  KnownPostgres "postgres,katie";
};

Shania
{
  Options
  {
    Days 14;
   };
 MorgueSubDir "shania";
};

Natalie
{
  Options
  {
    Component "main";
    Suite "unstable";
    Type "deb";
   };

 ComponentPosition "prefix"; // Whether the component is prepended or appended to the section name
};

Melanie
{
  Options
  {
    Suite "unstable";
   };

   MyEmailAddress "faihost.matrix.msu.edu archive Maintenance <ftpmaster@faihost.matrix.msu.edu>";
   LogFile "/var/www/matrixbase/web/removals.txt";
};

Neve
{
  ExportDir "/var/www/matrixbase/katie/neve-files/";
};

Rhona
{
  // How long (in seconds) dead packages are left before being killed
  StayOfExecution 129600; // 1.5 days
  AcceptedAutoBuildStayOfExecution 86400; // 24 hours
  MorgueSubDir "rhona";
};

Suite
{

  Unstable
  {
	Components
	{
	  main;
	  contrib;
	};
	Architectures
	{
	  source;
	  all;
	  alpha;
	  amd64;
	  arm;
	  hppa;
	  hurd-i386;
	  i386;
	  ia64;
	  m68k;
	  mips;
	  mipsel;
	  powerpc;
	  s390;
	  sh;
	  sparc;
	};
	Announce "changeslist@faihost.matrix.msu.edu";
	Origin "faihost.matrix.msu.edu archive";
	Description "faihost.matrix.msu.edu archive";
	CodeName "duck";
	OverrideCodeName "duck";
	Priority "7";
  };

  Experimental
  {
	Components
	{
	  main;
	  contrib;
	};
	Architectures
	{
	  source;
	  all;
	  alpha;
	  amd64;
	  arm;
	  hppa;
	  hurd-i386;
	  i386;
	  ia64;
	  m68k;
	  mips;
	  mipsel;
	  powerpc;
	  s390;
	  sh;
	  sparc;
	};
	Announce "changeslist@faihost.matrix.msu.edu";
	Origin "faihost.matrix.msu.edu archive";
	Description "Experimental packages - not released; use at your own risk.";
	CodeName "experimental";
	NotAutomatic "yes";
	OverrideCodeName "duck";
	OverrideSuite "unstable";
	Priority "0";
        Tree "project/experimental";
	VersionChecks
	{
	  MustBeNewerThan
	  {
	    Unstable;
	  };
	};

  };

};

Dir
{
  Root "/var/www/matrixbase/ftp/";
  Pool "/var/www/matrixbase/ftp/pool/";
  Templates "/var/www/matrixbase/katie/templates/";
  PoolRoot "pool/";
  Lists "/var/www/matrixbase/database/dists/";
  Log "/var/www/matrixbase/log/";
  Morgue "/var/www/matrixbase/morgue/";
  MorgueReject "reject";
  Override "/var/www/matrixbase/scripts/override/";
  UrgencyLog "/var/www/matrixbase/testing/urgencies/";
  Queue
  {
    Accepted "/var/www/matrixbase/queue/accepted/";
    Byhand "/var/www/matrixbase/queue/byhand/";
    Done "/var/www/matrixbase/queue/done/";
    Holding "/var/www/matrixbase/queue/holding/";
    New "/var/www/matrixbase/queue/new/";
    Reject "/var/www/matrixbase/queue/reject/";
    Unchecked "/var/www/matrixbase/queue/unchecked/";
    BTSVersionTrack "/var/www/matrixbase/queue/bts_version_track/";
  };
};

DB
{
  Name "projectb";
  Host "";
  Port -1;
};

Architectures
{
  source "Source";
  all "Architecture Independent";
  alpha "DEC Alpha";
  hurd-i386 "Intel ia32 running the HURD";
  hppa "HP PA RISC";
  arm "ARM";
  i386 "Intel ia32";
  ia64 "Intel ia64";
  m68k "Motorola Mc680x0";
  mips "MIPS (Big Endian)";
  mipsel "MIPS (Little Endian)";
  powerpc "PowerPC";
  s390 "IBM S/390";
  sh "Hitatchi SuperH";
  sparc "Sun SPARC/UltraSPARC";
  amd64 "AMD x86_64 (AMD64)";
};

Archive
{
  faihost.matrix.msu.edu
  {
    OriginServer "faihost.matrix.msu.edu";
    PrimaryMirror "faihost.matrix.msu.edu";
    Description "Master Archive for faihost.matrix.msu.edu archive";
  };
};

Component
{
  main
  {
	Description "Main";
	MeetsDFSG "true";
  };

  contrib
  {
	Description "Contrib";
	MeetsDFSG "true";
  };
};

Section
{
  admin;
  base;
  comm;
  debian-installer;
  devel;
  doc;
  editors;
  embedded;
  electronics;
  games;
  gnome;
  graphics;
  hamradio;
  interpreters;
  kde;
  libdevel;
  libs;
  mail;
  math;
  misc;
  net;
  news;
  oldlibs;
  otherosfs;
  perl;
  python;
  science;
  shells;
  sound;
  tex;
  text;
  utils;
  web;
  x11;
};

Priority
{
  required 1;
  important 2;
  standard 3;
  optional 4;
  extra 5;
  source 0; // i.e. unused
};

OverrideType
{
  deb;
  udeb;
  dsc;
};

Location
{

  // Pool locations on faihost.matrix.msu.edu
  /var/www/matrixbase/ftp/pool/
    {
      Archive "faihost.matrix.msu.edu";
      Type "pool";
    };

};

Urgency
{
  Default "low";
  Valid
  {
    low;
    medium;
    high;
    emergency;
    critical;
  };
};
